> ## Documentation Index
> Fetch the complete documentation index at: https://docs.launcx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment

> Creates a new payment for the authenticated client



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/payments
openapi: 3.0.0
info:
  description: >-
    LauncX V3 API for integrators — create payments, run disbursements, and
    resolve bank payout destinations.
  title: LauncX API
  contact:
    name: LauncX Support
    email: support@launcx.com
  license:
    name: Proprietary
  version: '1.0'
servers:
  - url: https://live.launcx.com
    description: Production
  - url: https://v3.launcx.com
    description: Staging
security: []
paths:
  /api/v1/payments:
    post:
      tags:
        - Payments
      summary: Create payment
      description: Creates a new payment for the authenticated client
      parameters:
        - name: x-api-key
          in: header
          description: Client API Key
          required: true
          schema:
            type: string
        - name: x-timestamp
          in: header
          description: Unix timestamp in milliseconds
          required: true
          schema:
            type: string
      requestBody:
        description: Payment creation request
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentRequest'
      responses:
        '200':
          description: Payment created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentResponse'
        '400':
          description: Invalid request or validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid API key or authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Wallet not configured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Payment gateway temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreatePaymentRequest:
      type: object
      properties:
        expiresIn:
          type: integer
        flow:
          type: string
        playerId:
          type: string
        price:
          type: number
    CreatePaymentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CreatePaymentResponseData'
        success:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: invalid email or password
    CreatePaymentResponseData:
      type: object
      properties:
        checkoutUrl:
          type: string
        orderId:
          type: string
        playerId:
          type: string
        qrPayload:
          type: string
        totalAmount:
          type: number

````